%define major		0.7
%define libname		%mklibname jxl %{major}
%define libnamethreads	%mklibname jxl_threads %{major}
%define develname	%mklibname jxl -d

Name:		libjxl
Version:	0.7.0
Release:	%mkrel 1
Summary:	JPEG XL reference implementation
License:	BSD
Group:		System/Libraries
URL:		https://jpegxl.info/
#Git-Clone:     https://github.com/libjxl/libjxl
Source0:	https://github.com/libjxl/libjxl/archive/refs/tags/v%{version}/%{name}-%{version}.tar.xz
ExcludeArch:	%{arm}

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	giflib-devel
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libavif)
BuildRequires:	pkgconfig(libbrotlicommon)
BuildRequires:	pkgconfig(libbrotlidec)
BuildRequires:	pkgconfig(libbrotlienc)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	lib64hwy-devel

%description
JPEG XL is a raster-graphics file format that supports both lossy and
lossless compression.

This is the reference implementation of JPEG XL, with encoder and decoder.

#------------------------------------------------

%package -n	%{libname}
Summary:	Library for encoding and decoding JPEG XL raster graphic images
Group:		System/Libraries

%description -n	%{libname}
JPEG XL is a raster-graphics file format that supports both lossy and
lossless compression.

#------------------------------------------------


%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	jxl-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%package	tools
Summary:	Command-line utilities to convert from/to JPEG XL
Group:		Development/Tools

%description	tools
Command-line utilities to convert from/to JPEG XL.

#------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake  -DJPEGXL_FORCE_SYSTEM_HWY=ON \
	-DJPEGXL_FORCE_SYSTEM_BROTLI=ON \
	-DJPEGXL_FORCE_SYSTEM_LCMS2=ON \
	-DBUILD_TESTING=OFF \
	-DJPEGXL_ENABLE_PLUGINS=OFF \
	-DJPEGXL_ENABLE_SKCMS=OFF \
	-DJPEGXL_ENABLE_SJPEG=OFF
%cmake_build

%install
rm -rf %buildroot
%cmake_install

# we don't want these
find %{buildroot} -name '*.a' -delete

%files -n %{libname}
%{_libdir}/libjxl.so.%{major}*
%{_libdir}/libjxl_threads.so.%{major}*

%files -n %{develname}
%{_includedir}/jxl/
%{_libdir}/libjxl.so
%{_libdir}/libjxl_threads.so
%{_libdir}/pkgconfig/*.pc

%files tools
%{_bindir}/cjpeg_hdr
%{_bindir}/*xl*
%{_mandir}

%changelog
* Thu Nov 24 2022 tex - 0.7.0-1pclos2022
- create pkg
